## org.jfree.chart.entity
Class StandardEntityCollection

    java.lang.Object
      org.jfree.chart.entity.StandardEntityCollection

All Implemented Interfaces:
  java.lang.Cloneable, EntityCollection, java.io.Serializable

public class StandardEntityCollection
extends java.lang.Object
implements EntityCollection, java.lang.Cloneable, java.io.Serializable

A standard implementation of the `EntityCollection` interface.

See Also:
  Serialized Form

Constructor Summary
`StandardEntityCollection()` Constructs a new entity collection (initially empty).

Method Summary
`void` `addEntities(EntityCollection collection)` Adds all the entities from the specified collection.
`void` `addEntity(ChartEntity entity)` Adds an entity.
`void` `clear()` Clears the entities.
`java.lang.Object` `clone()` Returns a clone.
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`java.util.Collection` `getEntities()` Returns the entities in an unmodifiable collection.
`ChartEntity` `getEntity(double x, double y)` Returns an entity for the specified coordinates.
`java.util.Iterator` `iterator()` Returns an iterator for the entities in the collection.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardEntityCollection

    public StandardEntityCollection()

  Constructs a new entity collection (initially empty).

Method Detail

### clear

    public void clear()

  Clears the entities.

  Specified by:
    `clear` in interface `EntityCollection`

### addEntity

    public void addEntity(ChartEntity entity)

  Adds an entity.

  Specified by:
    `addEntity` in interface `EntityCollection`
  Parameters:
    `entity` - the entity.

### addEntities

    public void addEntities(EntityCollection collection)

  Adds all the entities from the specified collection.

  Specified by:
    `addEntities` in interface `EntityCollection`
  Parameters:
    `collection` - the collection of entities.

### getEntity

    public ChartEntity getEntity(double x,
                                 double y)

  Returns an entity for the specified coordinates.

  Specified by:
    `getEntity` in interface `EntityCollection`
  Parameters:
    `x` - the x coordinate.
    `y` - the y coordinate.
  Returns:
    the entity.

### getEntities

    public java.util.Collection getEntities()

  Returns the entities in an unmodifiable collection.

  Specified by:
    `getEntities` in interface `EntityCollection`
  Returns:
    The entities.

### iterator

    public java.util.Iterator iterator()

  Returns an iterator for the entities in the collection.

  Specified by:
    `iterator` in interface `EntityCollection`
  Returns:
    An iterator.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this object for equality with an arbitrary object.

  Parameters:
    `obj` - the object to test against (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the object cannot be cloned.